// this import is used forv importing required data files for creating map
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

// Imports required url for the packages and creating a country and the json data.
const Url = 'https://gist.githubusercontent.com/Tulluripallavi/de8d8929b1d715b008af5e7351914a17/raw/98047aab7ede613b6ebc3c328fba1eb9398e57b8/usdataa.json';
export const useData = () => {
  const [data, setData] = useState(null);
// for creating the map effectively we can use it for our display.
  useEffect(() => {
    json(Url).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};


